<style scoped>
.ivu-select-item-focus {
  background: #f90;
  color: aliceblue !important;
}
</style>
<template>
  <div class="layout bodybg">
    <Layout>
      <Header>
        <Menu mode="horizontal" theme="dark" :active-name="nowrouter">
          <div class="layout-logo">
            <nuxt-link to="/">
              <img width="23%" src="~/assets/img/toy.svg" />
            </nuxt-link>
          </div>
          <div class="layout-nav">
            <MenuItem name="0" to="/">
              <Icon type="ios-home"></Icon>{{ $t('topbar.home') }}
            </MenuItem>
            <MenuItem name="1" to="/trainborard">
              <Icon type="ios-navigate"></Icon>{{ $t('topbar.trainboard') }}
            </MenuItem>
            <MenuItem name="2" to="/personticket">
              <Icon type="ios-analytics"></Icon>{{ $t('topbar.personticket') }}
            </MenuItem>
            <MenuItem name="3" to="/login" v-if="acount.length == 0 ">
              <Icon type="ios-person"></Icon>{{ $t('topbar.login') }}
            </MenuItem>
            <Submenu name="4" v-if="acount.length != 0 ">
              <template slot="title">
                <Avatar :src="acount.user.photoURL" class="mr-10" />
                {{acount.user.displayName}}
              </template>
              <MenuGroup :title="$t('topbar.person.person')">
                <MenuItem name="4-1" to="/backticket">
                  <Icon type="md-book" />{{ $t('topbar.person.ticket') }}
                </MenuItem>
                <MenuItem name="4-2" to="/backmember">
                  <Icon type="md-person" />{{ $t('topbar.person.persondata') }}
                </MenuItem>
                <MenuItem name="4-3" @click.native="logout()">
                  <Icon type="md-exit" />{{ $t('topbar.person.logout') }}
                </MenuItem>
              </MenuGroup>
              <MenuGroup :title="$t('topbar.person.backmange')" v-if="perosnlv.lv=='1'">
                <MenuItem name="5-1" to="/admin/payback">
                  <Icon type="md-bookmarks" />{{ $t('topbar.person.Ticketapplicationlist') }}
                </MenuItem>
                <MenuItem name="5-2" to="/admin/paybackrecord">
                  <Icon type="ios-clipboard" />{{ $t('topbar.person.Refundapplicationrecord') }}
                </MenuItem>
                <MenuItem name="5-3" to="/admin/administrator">
                  <Icon type="ios-contacts" />{{ $t('topbar.person.Memberorganizationmanagement') }}
                </MenuItem>
                <MenuItem name="5-4" to="/admin/news">
                  <Icon type="ios-chatboxes" />{{ $t('topbar.person.news') }}
                </MenuItem>
              </MenuGroup>
              <MenuGroup :title="$t('topbar.person.backmange')" v-if="perosnlv.lv=='2'">
                <MenuItem name="5-1" to="/admin/payback">
                  <Icon type="md-bookmarks" />{{ $t('topbar.person.Ticketapplicationlist') }}
                </MenuItem>
                <MenuItem name="5-4" to="/admin/news">
                  <Icon type="ios-chatboxes" />{{ $t('topbar.person.news') }}
                </MenuItem>
              </MenuGroup>
            </Submenu>
            <Dropdown>
              <Button type="primary" class="ml-10">
                {{ $t('topbar.selectlang') }}
                <Icon type="ios-arrow-down"></Icon>
              </Button>
              <DropdownMenu slot="list">
                <DropdownItem @click.native="chglang('zh-TW')">中文</DropdownItem>
                <DropdownItem @click.native="chglang('en')">English</DropdownItem>
              </DropdownMenu>
            </Dropdown>
            <!-- <h1 style="color:black">{{ $t('home.title') }}</h1> -->
          </div>
        </Menu>
      </Header>
      <Content class="p-50">
        <Card dis-hover>
          <div>
            <nuxt />
          </div>
        </Card>
      </Content>
      <Footer class="layout-footer-center">
        <p>{{ $t('index.footer.fot1') }}</p>
        <p>{{ $t('index.footer.fot2') }}</p>
        <p>{{ $t('index.footer.fot3') }}</p>
      </Footer>
    </Layout>
  </div>
</template>
<script>
import firebase from "firebase/app";
import { mapMutations } from "vuex";
export default {
  data() {
    return {
      nowrouter: "",
      acount: [],
      perosnlv: "",
      langsdef: "zh-TW",
      langs: [
        {
          label: "英文",
          value: "en"
        },
        {
          label: "中文",
          value: "zh-TW"
        }
      ]
    };
  },
  created() {
    this.chgrouter(this.$route.name);
  },
  mounted() {
    this.getStorage();
  },
  watch: {
    $route(to, from) {
      this.getStorage();
      this.memberlv();
    }
  },
  methods: {
    ...mapMutations({
      togglememberdata: "togglememberdata"
    }),
    logout() {
      this.$router.push({ path: "/" });
      localStorage.clear();
      location.reload();
    },
    chglang(key) {
      this.$i18n.setLocaleCookie(key), location.reload();
    },
    async memberlv() {
      const db = firebase.firestore();
      const ref = db.doc("member/" + this.acount.user.uid);
      await ref.get().then(doc => {
        this.perosnlv = doc.data();
      });
    },
    getStorage() {
      const memberdata = JSON.parse(localStorage.getItem("logindata"));
      if (memberdata == null) {
        this.acount = [];
      } else {
        this.acount = memberdata;
        this.memberlv();
        this.togglememberdata(memberdata);
      }
    },
    chgrouter(name) {
      const keyname = name;
      if (keyname == "index") {
        return (this.nowrouter = "0");
      }
      if (keyname == "trainborard") {
        return (this.nowrouter = "1");
      }
      if (keyname == "personticket") {
        return (this.nowrouter = "2");
      }
      if (keyname == "login") {
        return (this.nowrouter = "3");
      }
      if (keyname == "backticket") {
        return (this.nowrouter = "4-1");
      }
      if (keyname == "payback") {
        return (this.nowrouter = "5-1");
      }
    }
  }
};
</script>
